Kling 3.0 Pro Image to Video
整合
kling-video/v3/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v3/pro/image-to-video",
"input": {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}
}
透過 Doitong API 呼叫 Kling 3.0 Pro Image to Video 模型(kling-video/v3/pro/image-to-video)。代理程式文件:https://doitong.com/zh-TW/developers/models/kling-video/v3/pro/image-to-video.md
POST https://api.doitong.com/v1/run/kling-video/v3/pro/image-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/kling-video/v3/pro/image-to-video,可在執行前取得確切價格。
此請求: $0.56 560 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
範例
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
/run/kling-video/v3/pro/image-to-video?wait=20
報價 → $0.56
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v3/pro/image-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/image-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/image-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v3/pro/image-to-video",
"input": {
"prompt": "The paper boat drifts forward with the current, raindrops ripple around it, neon reflections shimmer on the wet street, the camera follows at water level.",
"image": "https://content.doitong.com/dev-api/2026/10/21/req_rrqclmu39lveihzpwxufalbn/0-oGMt1xgBCGjIy2tBNDIKy_MSH2rhkY.png",
"duration": 5,
"generate_audio": false
},
"wait_seconds": 20
}
}
}
在 Doitong 上製作
Doitong 社群使用 Kling v3 製作的公開作品。一鍵重複使用提示詞。
影片
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
影片
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
影片
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
影片
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
影片
Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...
影片
Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...
影片
The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...
影片
Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....
影片
Animate this image realistically. Make me look like I am working at the computer: my eyes should naturally look at the screen, my hands should move naturally as if typing on the keyboard, and occasionally use the mouse. Add subtle, realistic movements to my head and body. Keep my facial...
影片
«Шедевр» Духовка резко открывается. ПУФ! Облако пара исчезает — внутри стоит красивый золотистый пирог. Лиза радостно достаёт его и пробует кусочек. Лиза: «Я гений!» Пирог внезапно наклоняется и падает набок. ПЛЮХ! Лиза смотрит на него и невозмутимо говорит: Лиза: «Ну… почти.» Камера быстро...
影片
В видео показана короткая драматическая история примерно на 29 секунд: * 0–4 сек. Мужчина со слезами на глазах держит оружие и выглядит глубоко расстроенным. * 4–8 сек. Он направляет оружие на женщину в клетчатой рубашке. Женщина зомби стоит спокойно, между ними напряжённая атмосфера. * 8–12 сек....
影片
«same character as reference, [сцена]». Кадры для песни Colores (вертикальные 9:16): Оба машут, приветствие Pipo держит красное яблоко Luna под голубым небом с голубым шариком Жёлтое солнце и цыплёнок рядом с героями Зелёная лягушка на листе, герои смотрят на неё Фиолетовый виноград Оба танцуют...
影片
Create a premium vertical Instagram Reels advertisement introducing “JÉRÉMIE IA”, the intelligent AI assistant integrated into the GENESIS mobile application. FORMAT: - Vertical 9:16 - 1080x1920 - 15–20 seconds - Premium social media advertising - Modern motion design - Cinematic technology...
影片
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
影片
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
影片
Кадр 1 (0–3 сек) — Остров, идиллия Что в кадре: Тропический пляж, закат. Четверо фруктов отдыхают: • Клубни потягивает коктейль • Бананыч загорает в шезлонге • Арбузиха жуёт жвачку и закатывает глаза • Яблониха стоит с микрофоном Звук: лёгкая музыка, шум волн Настроение: спокойствие перед бурей...
關於 Kling 3.0 Pro Image to Video
Kling 的旗艦影像轉影片模型會穩定保留起始影像中的主體,同時加入自然動作、 鏡頭移動,並預設加入匹配的聲音和語音。提供結束影像以控制鏡頭的結尾, 使用每個鏡頭的提示將一次生成拆分為多個鏡頭,或使用 參考元素固定重複出現的角色和物件。畫面形狀會依照起始影像。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
prompt選填
multi_prompt選填
multi_prompt[].prompt必填
multi_prompt[].duration選填
start_image_url必填
image
duration選填
generate_audio選填
end_image_url選填
end_image
elements選填
elements[].frontal_image_url選填
elements[].reference_image_urls選填
elements[].video_url選填
elements[].voice_id選填
shot_type選填
negative_prompt選填
cfg_scale選填
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v3/pro/image-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 560,
"usd": "0.56",
"charged": 560,
"refunded": 0
},
"input": {
"prompt": "The banana manager turns to the camera, smiles and waves while coworkers keep typing, gentle handheld camera",
"image": "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png",
"duration": 5
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
輸出欄位
- video
- object {url, content_type, file_name, file_size}模型產生的影片。
其他 Kling v3 變體
更多模型:圖像轉影片
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/v3/pro/image-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt